### Virtual Method

# Foundry Vcs dup_id

#### Declaration [src]

    char*
    dup_id (
      FoundryVcs* self
    )

#### Description [src]

Gets the identifier for the VCS such as “git” or “none”.

#### Return value

Type: `char*`

A string containing the identifier.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.